<?php

/**
 * Page permettant la déconnexion d'un utilisateur authentifié.
 */

// Récupération de la session
session_start ();
// Affichage d'un message différent dans le cas particulier d'une restauration de la base ne comportant plus l'utilisateur ayant effectué cette importation
if (!empty($_GET['succes'])) {
	$succes=$_GET['succes'];
}
elseif (!empty($_GET['erreur'])) {
	$erreur=$_GET['erreur'];
}
// Destruction des variables de la session
session_unset();
// Destruction de la session
session_destroy();
//Destruction du cookie de maintient de session
setcookie('souvenir-session', '', time() - 3600, '/', $_SERVER['HTTP_HOST'], false, true);
// Nous sommes obligés de passer par la variable transitoire $succes car le session_unset détruit $_GET...
if (!empty($succes)) {
	header('location: /pages/visiteurs/formulaire_accueil.php?succes='.$succes);
	die();
}
elseif (!empty($erreur)) {
	header('location: /pages/visiteurs/formulaire_accueil.php?erreur='.$erreur);
	die();
}
// Redirection de l'utilisateur vers la page d'authentifiaction
header('location: /pages/visiteurs/formulaire_accueil.php?succes=15');
die();

?>
